Package ru.bitel.bgbilling.kernel.contract.dashboard.common.bean

# Class DashboardItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.dashboard.common.bean.DashboardItem

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class DashboardItem
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DashboardItem()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAction()` |
  `java.lang.String` | `getDescription()` |
  `java.lang.String` | `getIcon()` |
  `DashboardItemType` | `getItemType()` |
  `java.lang.String` | `getKey()` |
  `java.lang.String` | `getModule()` |
  `int` | `getModuleId()` |
  `java.util.List<DashboardItem>` | `getSubItems()` |
  `void` | `setAction​(java.lang.String action)` |
  `void` | `setDescription​(java.lang.String description)` |
  `void` | `setIcon​(java.lang.String icon)` |
  `void` | `setItemType​(DashboardItemType itemType)` |
  `void` | `setKey​(java.lang.String key)` |
  `void` | `setModule​(java.lang.String module)` |
  `void` | `setModuleId​(int moduleId)` |
  `void` | `setSubItems​(java.util.List<DashboardItem> subItems)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### DashboardItem

    public DashboardItem()

- ## Method Details

  - ### getKey

    public java.lang.String getKey()

  - ### setKey

    public void setKey​(java.lang.String key)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId​(int moduleId)

  - ### getModule

    public java.lang.String getModule()

  - ### setModule

    public void setModule​(java.lang.String module)

  - ### getAction

    public java.lang.String getAction()

  - ### setAction

    public void setAction​(java.lang.String action)

  - ### getIcon

    public java.lang.String getIcon()

  - ### setIcon

    public void setIcon​(java.lang.String icon)

  - ### getDescription

    public java.lang.String getDescription()

  - ### setDescription

    public void setDescription​(java.lang.String description)

  - ### getItemType

    public DashboardItemType getItemType()

  - ### setItemType

    public void setItemType​(DashboardItemType itemType)

  - ### getSubItems

    public java.util.List<DashboardItem> getSubItems()

  - ### setSubItems

    public void setSubItems​(java.util.List<DashboardItem> subItems)